Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155014 - slocate package update overwrites /etc/updatedb.conf
Summary: slocate package update overwrites /etc/updatedb.conf
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: slocate
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 17:58 UTC by James Laska
Modified: 2013-09-02 06:05 UTC (History)
1 user (show)

Fixed In Version: 2.7-21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-16 09:13:18 UTC


Attachments (Terms of Use)

Description James Laska 2005-04-15 17:58:00 UTC
# slocate-2.7-20

Since we have introduced DAILY_UPDATE=no in /etc/updatedb.conf I typically
toggle this to DAILY_UPDATE=yes.  I found after a rawhide update that my config
file change was replaced when a new package was installed (slocate-2.7-20). 
Does it make sense to set /etc/updatedb.conf as a %config(noreplace) file in the
slocate.spec?  This appears to be the process followed by other packages whose
config files live in /etc (e.g. bind).

[ slocate.spec from slocate-2.7-20 ]
%attr(644,root,root) %config /etc/updatedb.conf

[ proposed change to slocate.spec ]
%attr(644,root,root) %config(noreplace) /etc/updatedb.conf

Comment 1 Miloslav Trmač 2005-04-16 09:13:18 UTC
Good catch, thanks!

Fixed in slocate-2.7-21.


Note You need to log in before you can comment on or make changes to this bug.